# \networkLayer3

networkLayer3 Class of the back-end application

Management of networkLayer3

## Summary

Methods
Properties
Constants
__construct()
action()
No public properties found
No constants found
No protected methods found
$app
$libClass
N/A
listFloatingIp()
createFloatingIp()
getFloatingIp()
updateFloatingIp()
deleteFloatingIp()
retrieveFloatingIp()
createRouter()
listRouters()
getRouter()
deleteRouter()
updateRouter()
No private properties found
N/A

File
  core/NetworkLayer3.php
Package
  Default
Class hierarchy
  \networkLayer3
Implements
  \Core

## Tags

None found

## Properties

### $app

    $app : \App

#### Type

\App — protected, contains the main app object

#

## Tags

None found

### $libClass

    $libClass : \OpenStack\NetworkLayer3

#### Type

\OpenStack\NetworkLayer3 — protected, contains the library NetworkLayer3 object

#

## Tags

None found

## Methods

### __construct()

    __construct(\App  $app) : \networkLayer3

networkLayer3 constructor

#### Parameters

\App | $app | the main app object

#### Returns

\networkLayer3 —

Object

#

## Tags

None found

### action()

    action(String  $action) : void

Execute an action

#### Parameters

String | $action | name of another function of this class

#

## Tags

None found

### listFloatingIp()

    listFloatingIp() : void

List floatingip

#

## Tags

None found

### createFloatingIp()

    createFloatingIp() : void

Create a new floating IP adress

#

## Tags

None found

### getFloatingIp()

    getFloatingIp() : void

Show floatingip details

#

## Tags

None found

### updateFloatingIp()

    updateFloatingIp() : void

Update floating ip

#

## Tags

None found

### deleteFloatingIp()

    deleteFloatingIp() : void

Delete a floating ip

#

## Tags

None found

### retrieveFloatingIp()

    retrieveFloatingIp() : void

Retrieve a floating ip

#

## Tags

None found

### createRouter()

    createRouter() : void

Create a new router

#

## Tags

None found

### listRouters()

    listRouters() : void

List routers

#

## Tags

None found

### getRouter()

    getRouter() : void

Show router details

#

## Tags

None found

### deleteRouter()

    deleteRouter() : void

Delete a router

#

## Tags

None found

### updateRouter()

    updateRouter() : void

Update router

#

## Tags

None found

### NetworkLayer3.php